# Consumer_Soft_Pull_Request

**Overview**
This API allows external vendors to initiate a soft credit pull for consumers by
providing the required data elements. The API response will return either:
- Offers with loan product(s) details, or
- No Offers, which may trigger an Adverse Action Notice (AAN) email to the consumer.

**Requirements**
- Authentication (username and password) is required.
- Sponsor ID is determined by the authentication credentials.
- Callback URLs must use Basic Auth authentication.
Clients must implement Basic Auth for callback URLs and provide credentials to Momnt.
- API requests will only be processed if the merchant's status is Active.

Endpoint: POST /api/v1/sponsor/consumers/soft-pull/
Version: 1.0.0 (sponsor_consumer_v1)
Security: basicAuth

## Security:

  - `basicAuth` (unknown)
    http basic

## Request fields (application/json):

  - `request_user_id` (string, required)
    ID of the user in the partner system making the application soft pull request.

  - `external_application_id` (string, required)
    The identifier in the partner system for this loan application.

  - `external_org_id` (string)

  - `consumer_email` (string, required)
    Consumer's email address. Max length 255.

  - `consumer_phone` (string, required)
    Consumer's phone number. Format as: +15552223333

  - `consumer_first_name` (string, required)
    Consumer's First Name.

  - `consumer_middle_name` (string)
    Consumer's Middle Name.

  - `consumer_last_name` (string, required)
    Consumer's Last Name.

  - `consumer_address_1` (string, required)
    Consumer's Street Address.

  - `consumer_address_2` (string)
    Consumer's Street Address line 2 (if applicable).

  - `consumer_city` (string, required)
    Consumer's City.

  - `consumer_state` (string, required)
    Consumer's State. Use 2 Letter State Code.

  - `consumer_zip_code` (string, required)
    Consumer's 5- or 9-digit Zip Code.

  - `consumer_ssn` (string, required)
    Consumer's Social Security Number (ex. 123456789).

  - `consumer_dob` (string, required)
    Consumer's Date of Birth (ex. YYYY-MM-DD).

  - `consumer_requested_amount` (string, required)
    Loan Amount the consumer is requesting.

  - `annual_income` (string, required)
    Provide the annual income. If income is captured in separate fields (e.g., individual income and additional income), ensure additional_household_income field is included.

  - `additional_household_income` (string)
    Sent if additional income is captured separately in the consumer application process.

  - `housing_status` (string)
    Acceptable values: "Rent", "Own", "Other".
* `Rent` - Rent
* `Own` - Own
* `Other` - Other
    Enum: "Rent", "Own", "Other"

  - `monthly_housing_payment` (string)
    Monthly housing payment amount.

  - `mobile_home` (boolean)
    Indicates if the consumer lives in a mobile home.

  - `years_at_current_residence` (integer)
    Number of years at the current residence.

  - `installation_same_as_home` (boolean)
    Indicates if the installation address is the same as home address.

  - `offer_code` (string)
    Provide offer code that should be applied to the consumer's application.

  - `presented_on` (string)
    Provide date and time the consumer was presented with disclosures if you can collect. Use ISO 8601 format (ex. YYYY-MM-DDThh:mm:ssZ).

  - `consented_on` (string, required)
    Provide date and time when the consumer submitted the application. Use ISO 8601 format (ex. YYYY-MM-DDThh:mm:ssZ).

  - `sponsor_callback_url` (string)
    When a consumer loan status is updated, Momnt will POST information to this fully qualified URL.

## Response 200 fields (application/json):

  - `consumer_invitation_uuid` (string, required)
    Momnt's Consumer Invitation ID.

  - `consumer_application_id` (string, required)
    Momnt's Human-Friendly Application ID.

  - `soft_pull_credit_limit` (string, required)
    Credit Limit the consumer was approved for.

  - `consumer_requested_amount` (string, required)
    Requested Amount sent in request.

  - `decision` (string, required)
    Values: Offers, No Offers

  - `decision_detail` (string)
    Values: blank, Approved for Less, Frozen Credit

  - `offers` (array, required)

  - `offers.offer_uuid` (string, required)

  - `offers.product_name` (string, required)

  - `offers.product_type` (string, required)

  - `offers.json_description` (any, required)

  - `offers.short_description` (string, required)

  - `offers.long_description` (string, required)

  - `offers.legal_description` (string, required)

